CPreCompiledHeaderCompile (Gradle API 9.4.1)
Description: declaration: package: org.gradle.language.c.tasks, class: CPreCompiledHeaderCompile

Package org.gradle.language.c.tasks

# Class CPreCompiledHeaderCompile

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.language.nativeplatform.tasks.AbstractNativeCompileTask
org.gradle.language.nativeplatform.tasks.AbstractNativePCHCompileTask
org.gradle.language.c.tasks.CPreCompiledHeaderCompile

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Not made cacheable, yet") public abstract class CPreCompiledHeaderCompile extends AbstractNativePCHCompileTask
Compiles C header source files into object files.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CPreCompiledHeaderCompile()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.gradle.nativeplatform.toolchain.internal.NativeCompileSpec`
  `createCompileSpec()`

  ### Methods inherited from class org.gradle.language.nativeplatform.tasks.AbstractNativeCompileTask

  `compile, configureSpec, getCompilerArgs, getFileCollectionFactory, getHeaderDependencies, getIncludes, getIncrementalCompilerBuilder, getMacros, getObjectFileDir, getOperationLoggerFactory, getSource, getSystemIncludes, getTargetPlatform, getTaskFileVarFactory, getToolChain, includes, isDebuggable, isOptimized, isPositionIndependentCode, setDebuggable, setMacros, setOptimized, setPositionIndependentCode, source`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### CPreCompiledHeaderCompile

    public CPreCompiledHeaderCompile()

- ## Method Details

  - ### createCompileSpec

    protected org.gradle.nativeplatform.toolchain.internal.NativeCompileSpec createCompileSpec()
    Specified by:
      `createCompileSpec` in class `AbstractNativeCompileTask`